For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
HomeAPI Reference
HomeAPI Reference
  • Overview
    • API Overview
  • Vlens API
      • POSTCheck for duplicate accounts
      • POSTSend or validate phone OTP
      • POSTSend or validate email OTP
      • POSTComplete registration
      • POSTVerify OAuth token during registration
      • POSTVerify OAuth token (skip email at registration)
Dashboard
LogoLogo
Vlens APIRegistration

Send or validate email OTP

||View as Markdown|
POST
https://api.vlenseg.com/api/DigitalIdentity/Register/StepVerifyEmail
POST
/api/DigitalIdentity/Register/StepVerifyEmail
$curl -X POST https://api.vlenseg.com/api/DigitalIdentity/Register/StepVerifyEmail \
> -H "ApiKey: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "email": "user@example.com"
>}'
200Send OTP
1{
2 "data": {
3 "isEmailConfirmationRequired": true,
4 "isEmailConfirmed": true,
5 "isPhoneNumberConfirmationRequired": true,
6 "isPhoneNumberConfirmed": true,
7 "phoneNumberOtp": "string",
8 "phoneNumberOtpRequestId": "string",
9 "isDigitalIdentityVerified": true,
10 "accessToken": "string",
11 "encryptedAccessToken": "string",
12 "expireInSeconds": 1,
13 "userName": "string",
14 "userFullName": "string",
15 "user": {
16 "id": 1,
17 "name": "string",
18 "surname": "string",
19 "fullName": "string",
20 "userName": "string",
21 "emailAddress": "string",
22 "phoneNumber": "string",
23 "idNumber": "string",
24 "address": "string"
25 }
26 },
27 "error_code": 1,
28 "error_message": "string",
29 "error_descriptions": null
30}

Optional step for tenants that require email verification during registration.

Works identically to StepVerifyPhone: first call sends the OTP, second call validates it using the emailOtpRequestId from the first response.

Was this page helpful?
Previous

Send or validate phone OTP

Next

Complete registration

Built with

Authentication

ApiKeystring
Static API key issued to your tenant. Obtain from the Vlens dashboard.

Request

This endpoint expects an object.
emailstringRequiredformat: "email"
emailOtpRequestIdstring or nullOptionalformat: "uuid"
Required on the validate call.
emailOtpstring or nullOptional
OTP code from the email. Required on the validate call.

Response

OTP sent or validated.
dataobject
error_codeinteger or null
error_messagestring or null
error_descriptionsany or null